"""create car table
Revision ID: 0002
Revises: 0001
Create Date: 2024-01-30 10:00:00.000000
"""
from alembic import op
import sqlalchemy as sa

revision = '0002'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'cars',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('brand', sa.String(), nullable=False),
        sa.Column('model', sa.String(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('color', sa.String(), nullable=True),
        sa.Column('vin', sa.String(), nullable=False),
        sa.Column('price', sa.Integer(), nullable=False),
        sa.Column('is_available', sa.Boolean(), server_default='1'),
        sa.Column('mileage', sa.Integer(), server_default='0'),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now())
    )
    op.create_index(op.f('ix_cars_brand'), 'cars', ['brand'], unique=False)
    op.create_index(op.f('ix_cars_vin'), 'cars', ['vin'], unique=True)

def downgrade():
    op.drop_index(op.f('ix_cars_vin'), table_name='cars')
    op.drop_index(op.f('ix_cars_brand'), table_name='cars')
    op.drop_table('cars')